MPD: playlist_plugin Struct Reference

MPD 0.20.15

Data Fields
playlist_plugin Struct Reference

`#include <PlaylistPlugin.hxx>`

Collaboration diagram for playlist_plugin:
[legend]

## Data Fields
const char * | name
bool(* | init )(const ConfigBlock &block)
| Initialize the plugin. More...
void(* | finish )()
| Deinitialize a plugin which was initialized successfully. More...
SongEnumerator *(* | open_uri )(const char *uri, Mutex &mutex, Cond &cond)
| Opens the playlist on the specified URI. More...
SongEnumerator *(* | open_stream )(InputStreamPtr &&is)
| Opens the playlist in the specified input stream. More...
const char *const * | schemes
const char *const * | suffixes
const char *const * | mime_types

## Detailed Description

Definition at line 31 of file PlaylistPlugin.hxx.

## Field Documentation

## ◆ finish

void(* playlist_plugin::finish) ()

Deinitialize a plugin which was initialized successfully.

Optional method.

Definition at line 48 of file PlaylistPlugin.hxx.

## ◆ init

bool(* playlist_plugin::init) (const ConfigBlock &block)

Initialize the plugin.

Optional method.

Parameters

  block | a configuration block for this plugin, or nullptr if none is configured

Returns
  true if the plugin was initialized successfully, false if the plugin is not available

Definition at line 42 of file PlaylistPlugin.hxx.

## ◆ mime_types

const char* const* playlist_plugin::mime_types

Definition at line 69 of file PlaylistPlugin.hxx.

## ◆ name

const char* playlist_plugin::name

Definition at line 32 of file PlaylistPlugin.hxx.

## ◆ open_stream

SongEnumerator*(* playlist_plugin::open_stream) (InputStreamPtr &&is)

Opens the playlist in the specified input stream.

It has either matched one of the suffixes or one of the MIME types.

is the input stream; the pointer will not be invalidated when the function returns nullptr

Definition at line 65 of file PlaylistPlugin.hxx.

## ◆ open_uri

SongEnumerator*(* playlist_plugin::open_uri) (const char *uri, Mutex &mutex, Cond &cond)

Opens the playlist on the specified URI.

This URI has either matched one of the schemes or one of the suffixes.

Definition at line 54 of file PlaylistPlugin.hxx.

## ◆ schemes

const char* const* playlist_plugin::schemes

Definition at line 67 of file PlaylistPlugin.hxx.

## ◆ suffixes

const char* const* playlist_plugin::suffixes

Definition at line 68 of file PlaylistPlugin.hxx.

The documentation for this struct was generated from the following file:

- playlist/PlaylistPlugin.hxx